jquery ui draggable in Internet Explorer(IE) - Object doesn't support this method

When I try to execute the following code in IE:

    <script type="text/javascript">
        google.load("jquery", 1);
        google.load("jqueryui", "1.5.3");


  $(document).ready(function()        
  {            
    $("#main-dialog").draggable();        
  });    

</script>

<div id="main-dialog">    
  This is just some simple content 
</div>

I get the following error message:

Object doesn't support this property or method

Why am I getting this error?

Answers


Maybe it's my ignorance of the google ajax API but where you load jquery with the parameter '1' try using '1.2.6' to make sure it's the latest version you're using. It may have a bug fix with it.


I had an error, similar to this, turned out my custom jQuery UI download was missing some dependencies. Try going back to the jQuery UI site and download again, but check all the boxes.


Need Your Help

"Wrong wmode value" when using Starling with an AVD

actionscript-3 apache-flex air android-emulator starling-framework

I am currently using FlashDevelop set up with the Flex/AIR SDK and Starling. I have used the AIR for Android AS3 template and have successfully compiled test applications without initializing Starl...

How to hold the invalid value for NumericUpDown after it loses focus?

c# .net winforms .net-2.0

In my project there is an UserControl which includes a NumericUpDown ctrl, and its valid value range is from 10 to 100,